<div class="general container">
    <div class="card contenedora">
        <div class="cabeza">
            <div class="row text-center" style="padding-right: 10%;">
                <div class="col " style="padding-left: 12%; padding-top: 2%;">
                    <h6>N° {{ ficha_clinica.id }}</h6>
                </div>
                <div class="col " style="padding-left: 12%; padding-top: 2%;">
                    <h4>Ficha clínica</h4>
                </div>
                <div class="col " style="padding-left: 12%; padding-top: 2%;">
                    <h6>Fecha ingreso:
                        {{ ficha_clinica.fecha_ingreso | date: 'dd-MM-yyyy' }}</h6>
                </div>
            </div>
        </div>
        <div class="paciente">
            <div class="container">
                <div class="card paciente">
                    <div class="row">
                        <div class="col">
                            <p><b>Nombre:</b> {{ ficha_clinica.paciente.nombres }}
                                {{ ficha_clinica.paciente.apellido_parteno }} {{ ficha_clinica.paciente.apellido_materno }}
                            </p>
                            <p><b>Teléfono:</b> {{ ficha_clinica.paciente.telefono }} </p>
                            <p><b>Numero emergencia:</b> {{ ficha_clinica.paciente.n_emergencia }} </p>

                        </div>
                        <div class="col">
                            <p><b>Rut:</b> {{ ficha_clinica.paciente.rut }}</p>
                            <p><b>Correo:</b> {{ ficha_clinica.paciente.correo }} </p>
                            <p><b>Comuna:</b> {{ ficha_clinica.paciente.comuna.nombre }} </p>

                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="antecedentes">
            <div class="container">
                <h4>Antecedentes</h4>
                <div class="d-grid gap-2 d-md-flex justify-content-md-end">
                    <button type="button" class="btn btn-primary me-md-2" *ngIf="antecedentes" (click)="openl(contenidoAntecedentes)" >Editar </button>
                </div>
                <div class="d-grid gap-3 d-md-flex justify-content-md-end">
                    <button type="button" class="btn btn-primary me-md-3"  (click)="openl(contenidoCrearAntecedente)" >Agregar</button>
                </div>
                <div class="card antecedentes">
                    <div class="row">
                        <div class="col">
                            <p><b>Ingiere_alcohol:</b> {{ antecedentes.ingiere_alcohol }} </p>
                            <p><b>Fuma:</b> {{ antecedentes.fuma }}</p>
                            <p><b>Operaciones:</b> {{ antecedentes.operaciones }}</p>
                            <p><b>Traumatismos:</b> {{ antecedentes.traumatismo }}</p>

                        </div>
                        <div class="col">
                            <p><b>Medicamentos:</b>{{ antecedentes.medicamentos }} </p>
                            <p><b>Alergias:</b>{{ antecedentes.alergias }} </p>
                            <p><b>Enfermedades Cronicas:</b> {{ antecedentes.enfermedades_cronicas }}</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="antecedentesPod">
            <div class="container">
                <h4>Antecedentes Podológicos</h4>
                <div class="d-grid gap-2 d-md-flex justify-content-md-end">
                    <button type="button" class="btn btn-primary me-md-2" *ngIf="antecedentesPodologicos" (click)="openl(contenido)" > Editar </button>
                </div>
                <div class="d-grid gap-3 d-md-flex justify-content-md-end">
                    <button type="button" class="btn btn-primary me-md-3"  (click)="openl(contenidoCrearAntecedentePod)" >Agregar</button>
                </div>
                <div class="card antecedentesPod">
                    <div class="row">
                        <div class="col">
                            <p><b>Numero calzado:</b> {{ antecedentesPodologicos.n_calzado }}</p>
                            <p><b>Problemas ortopedicos:</b> {{ antecedentesPodologicos.problemas_ortopedicos }}</p>
                            <p><b>Amputaciones:</b> {{ antecedentesPodologicos.amputaciones }}</p>
                            <p><b>Ulceracione:</b> {{ antecedentesPodologicos.ulceraciones }}</p>

                        </div>
                        <div class="col">
                            <p><b>Sensibilidad:</b>{{ antecedentesPodologicos.sensibilidad }} </p>
                            <p><b>Pulso pedio:</b> {{ antecedentesPodologicos.pulso_pedio }} </p>
                            <p><b>Heridas:</b> {{ antecedentesPodologicos.heridas }}</p>

                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="container mt-5">
            <ul class="m-0 nav nav-fill nav-justified nav-tabs" id="myTab" role="tablist">
                <li class="nav-item" role="presentation"> <button class="active nav-link" id="home-tab"
                        data-bs-toggle="tab" data-bs-target="#home" type="button" role="tab" aria-controls="home"
                        aria-selected="true"> <i class="fas fa-home"></i> Historial de sesiones </button> </li>
                <li class="nav-item" role="presentation"> <button class="nav-link" id="profile-tab" data-bs-toggle="tab"
                        data-bs-target="#profile" type="button" role="tab" aria-controls="profile"
                        aria-selected="false"> <i class="fas fa-user-astronaut"></i> Diagnosticos </button> </li>


            </ul>
            <div class="border-grey bg-white p-3 tab-content">
                <div class="tab-pane active" id="home" role="tabpanel" aria-labelledby="home-tab">
                    <div class="page-content page-container" id="page-content">
                        <div class="padding">
                            <div class="row container d-flex justify-content-center">
                                <div class="col-lg-8 grid-margin stretch-card">
                                    <div class="card">
                                        <div class="card-body">
                                            <h4 class="card-title">Historial de sesiones</h4>
                                            <div class="table-responsive">
                                                <table class="table">
                                                    <thead>
                                                        <tr>
                                                            <th>Fecha</th>
                                                            <th>Asistencia</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr *ngFor="let historia of historialSesiones">

                                                            <td class="">{{ historia.fecha }}</td>


                                                            <td class="" *ngIf="historia.asistencia==true"> si </td>
                                                            <td class="" *ngIf="historia.asistencia==false"> no </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                    <div class="border-grey bg-white p-3  tab-content">
                        <div class="tab-pane active" id="home" role="tabpanel" aria-labelledby="home-tab">
                            <div class="page-content page-container" id="page-content">
                                <div class="padding">
                                    <div class="row container d-flex justify-content-center">
                                        <div class=" grid-margin stretch-card">
                                            <button type="button" class="btn btn-success me-md-2" (click)="openl(contenidoDiagnostico)">
                                                <fa-icon [icon]='["fas","plus-circle"]'></fa-icon> Agregar diagnostico
                                            </button>
                                            <div class="card">
                                                <div class="card-body">
                                                    <h4 class="card-title">Diagnosticos</h4>
                                                    <div class="table-responsive">
                                                        <table class="table">
                                                            <thead>
                                                                <tr>
                                                                    <th>Fecha</th>
                                                                    <th>Motivo consulta</th>
                                                                    <th>Diagnostico</th>
                                                                    <th>Acción</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <tr *ngFor="let diagnostico of diagnosticos">

                                                                    <td class="">{{ diagnostico.fecha }}</td>

                                                                    <td class="">{{ diagnostico.motivo_consulta }}</td>

                                                                    <td class="">{{ diagnostico.diagnostico }}</td>
                                                                    
                                                                    <td>
                                                                       <button type="button" class="btn btn-outline-warning" 
                                                                       (click)="openl(contenidoEditar)">
                                                                        <fa-icon [icon]='["fas","edit"]'></fa-icon>
                                      
                                                                    </button> 
                                                                    </td>
                                                                    

                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<ng-template #contenido let-modal>
    <div class="modal-header">
        <h4 class="modal-title"> Editar Antecedente podologico</h4>
        <button class="close" aria-label="close" type="button" (click)="modal.dismiss()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="modal-body">
        <div class="container">
            <h4>Numero de calzado</h4>
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="floatingInputTitulo" #alcohol
                    value="{{antecedentesPodologicos.n_calzado}}">
                <label for="floatingInputTitulo"></label>
            </div>
            <h4>Problemas ortopedicos</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentesPodologicos.problemas_ortopedicos}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Amputaciones</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentesPodologicos.amputaciones}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Ulceraciones</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentesPodologicos.ulceraciones}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Sensibilidad</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentesPodologicos.sensibilidad}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Pulso pedio</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentesPodologicos.pulso_pedio}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Heridas</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentesPodologicos.heridas}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
        </div>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-success"
            >
            Guardar cambios </button>
    </div>
</ng-template>


<ng-template #contenidoAntecedentes let-modal>
    <div class="modal-header">
        <h4 class="modal-title"> Editar Antecedente </h4>
        <button class="close" aria-label="close" type="button" (click)="modal.dismiss()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="modal-body">
        <div class="container">
            <h4>Ingiere alcohol</h4>
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="floatingInputTitulo" #alcohol
                    value="{{antecedentes.ingiere_alcohol}}">
                <label for="floatingInputTitulo"></label>
            </div>
            <h4>Fuma</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentes.fuma}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Operaciones</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentes.operaciones}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Traumatismos</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentes.traumatismo}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Medicamentos</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentes.medicamentos}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Alergias</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentes.alergias}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
            <h4>Enfermedades cronicas</h4>
            <div class="form-floating">
                <input type="text" class="form-control" id="floatingSubTitulo" #subTitulo
                value="{{antecedentes.enfermedades_cronicas}}">
                <label for="floatingSubTitulo"></label>
            </div>
            <br>
        </div>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-success">Guardar cambios </button>
    </div>
</ng-template>



<ng-template #contenidoDiagnostico let-modal>
    <div class="modal-header">
        <h4 class="modal-title"> Agregar diagnostico</h4>
        <button class="close" aria-label="close" type="button" (click)="modal.dismiss()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="modal-body">
        <div class="container">
               <div class="form-floating">
                <textarea class="form-control" placeholder="Leave a comment here" id="floatingTextarea2" style="height: 100px"></textarea>
                <label for="floatingTextarea2">Motivo de consulta</label>
              </div>
              <br>
              <div class="form-floating">
                <textarea class="form-control" placeholder="Leave a comment here" id="floatingTextarea2" style="height: 100px"></textarea>
                <label for="floatingTextarea2">Diagnostico </label>
              </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-success">Crear </button>
    </div>
</ng-template>

<ng-template #contenidoEditar let-modal>
    <div class="modal-header">
        <h4 class="modal-title"> Aditar diagnostico</h4>
        <button class="close" aria-label="close" type="button" (click)="modal.dismiss()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="modal-body">
        <div class="container">
               <div class="form-floating">
                <textarea class="form-control" placeholder="Leave a comment here" id="floatingTextarea2" style="height: 100px"></textarea>
                <label for="floatingTextarea2">Motivo de consulta</label>
              </div>
              <br>
              <div class="form-floating">
                <textarea class="form-control" placeholder="Leave a comment here" id="floatingTextarea2" style="height: 100px"></textarea>
                <label for="floatingTextarea2">Diagnostico </label>
              </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-success">Guardar cambios </button>
    </div>
</ng-template>

<ng-template #contenidoCrearAntecedentePod let-modal>
    <div class="modal-header">
        <h4 class="modal-title"> Crear antecedente podologico</h4>
        <button class="close" aria-label="close" type="button" (click)="modal.dismiss()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="modal-body">
        <div class="container">
            <h4>Numero de calzado</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                <label for="floatingInput">Email address</label>
              </div>
            <h4>Problemas ortopedicos</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Amputaciones</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Ulceraciones</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Sensibilidad</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Pulso pedio</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Heridas</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
        </div>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-success"
            >
            Crear Antecedente podologico</button>
    </div>
</ng-template>

<ng-template #contenidoCrearAntecedente let-modal>
    <div class="modal-header">
        <h4 class="modal-title"> Crear antecedente </h4>
        <button class="close" aria-label="close" type="button" (click)="modal.dismiss()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="modal-body">
        <div class="container">
            <h4>Ingiere alcohol</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" value=" " >
                <label for="floatingInput">Email address</label>
              </div>
            <h4>Fuma</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" value=" ">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Operaciones</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com"  value=" ">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Traumatismo</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com"  value=" ">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Medicamentos</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com" value=" ">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Alergias</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com"  value=" ">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
            <h4>Enfermedades cronicas</h4>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com"  value=" ">
                <label for="floatingInput">Email address</label>
              </div>
            <br>
        </div>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-success"
            >
            Crear Antecedente </button>
    </div>
</ng-template>